Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlBody

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.html.HtmlBody

All Implemented Interfaces:
  java.util.EventListener, ClientBehaviorHolder, PartialStateHolder, StateHolder, TransientStateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlBody

extends UIOutput
implements ClientBehaviorHolder

NONE

By default, the `rendererType` property must be set to "`javax.faces.Body`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlBody.PropertyKeys`

Field Summary
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlBody()`

Method Summary
`java.lang.String` | `getDefaultEventName()` This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`.
`java.lang.String` | `getDir()` Return the value of the `dir` property.
`java.util.Collection<java.lang.String>` | `getEventNames()` This is a default implementation of `ClientBehaviorHolder.getEventNames()`.
`java.lang.String` | `getLang()` Return the value of the `lang` property.
`java.lang.String` | `getOnclick()` Return the value of the `onclick` property.
`java.lang.String` | `getOndblclick()` Return the value of the `ondblclick` property.
`java.lang.String` | `getOnkeydown()` Return the value of the `onkeydown` property.
`java.lang.String` | `getOnkeypress()` Return the value of the `onkeypress` property.
`java.lang.String` | `getOnkeyup()` Return the value of the `onkeyup` property.
`java.lang.String` | `getOnload()` Return the value of the `onload` property.
`java.lang.String` | `getOnmousedown()` Return the value of the `onmousedown` property.
`java.lang.String` | `getOnmousemove()` Return the value of the `onmousemove` property.
`java.lang.String` | `getOnmouseout()` Return the value of the `onmouseout` property.
`java.lang.String` | `getOnmouseover()` Return the value of the `onmouseover` property.
`java.lang.String` | `getOnmouseup()` Return the value of the `onmouseup` property.
`java.lang.String` | `getOnunload()` Return the value of the `onunload` property.
`java.lang.String` | `getStyle()` Return the value of the `style` property.
`java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
`java.lang.String` | `getTitle()` Return the value of the `title` property.
`java.lang.String` | `getXmlns()` Return the value of the `xmlns` property.
`void` | `setDir(java.lang.String dir)` Set the value of the `dir` property.
`void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
`void` | `setOnclick(java.lang.String onclick)` Set the value of the `onclick` property.
`void` | `setOndblclick(java.lang.String ondblclick)` Set the value of the `ondblclick` property.
`void` | `setOnkeydown(java.lang.String onkeydown)` Set the value of the `onkeydown` property.
`void` | `setOnkeypress(java.lang.String onkeypress)` Set the value of the `onkeypress` property.
`void` | `setOnkeyup(java.lang.String onkeyup)` Set the value of the `onkeyup` property.
`void` | `setOnload(java.lang.String onload)` Set the value of the `onload` property.
`void` | `setOnmousedown(java.lang.String onmousedown)` Set the value of the `onmousedown` property.
`void` | `setOnmousemove(java.lang.String onmousemove)` Set the value of the `onmousemove` property.
`void` | `setOnmouseout(java.lang.String onmouseout)` Set the value of the `onmouseout` property.
`void` | `setOnmouseover(java.lang.String onmouseover)` Set the value of the `onmouseover` property.
`void` | `setOnmouseup(java.lang.String onmouseup)` Set the value of the `onmouseup` property.
`void` | `setOnunload(java.lang.String onunload)` Set the value of the `onunload` property.
`void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
`void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
`void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
`void` | `setXmlns(java.lang.String xmlns)` Set the value of the `xmlns` property.

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlBody

    public HtmlBody()

Method Detail

### getDir

    public java.lang.String getDir()

  Return the value of the `dir` property.

  Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

### setDir

    public void setDir(java.lang.String dir)

  Set the value of the `dir` property.

### getLang

    public java.lang.String getLang()

  Return the value of the `lang` property.

  Contents: Code describing the language used in the generated markup for this component.

### setLang

    public void setLang(java.lang.String lang)

  Set the value of the `lang` property.

### getOnclick

    public java.lang.String getOnclick()

  Return the value of the `onclick` property.

  Contents: Javascript code executed when a pointer button is clicked over this element.

### setOnclick

    public void setOnclick(java.lang.String onclick)

  Set the value of the `onclick` property.

### getOndblclick

    public java.lang.String getOndblclick()

  Return the value of the `ondblclick` property.

  Contents: Javascript code executed when a pointer button is double clicked over this element.

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

  Set the value of the `ondblclick` property.

### getOnkeydown

    public java.lang.String getOnkeydown()

  Return the value of the `onkeydown` property.

  Contents: Javascript code executed when a key is pressed down over this element.

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

  Set the value of the `onkeydown` property.

### getOnkeypress

    public java.lang.String getOnkeypress()

  Return the value of the `onkeypress` property.

  Contents: Javascript code executed when a key is pressed and released over this element.

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

  Set the value of the `onkeypress` property.

### getOnkeyup

    public java.lang.String getOnkeyup()

  Return the value of the `onkeyup` property.

  Contents: Javascript code executed when a key is released over this element.

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

  Set the value of the `onkeyup` property.

### getOnload

    public java.lang.String getOnload()

  Return the value of the `onload` property.

### setOnload

    public void setOnload(java.lang.String onload)

  Set the value of the `onload` property.

### getOnmousedown

    public java.lang.String getOnmousedown()

  Return the value of the `onmousedown` property.

  Contents: Javascript code executed when a pointer button is pressed down over this element.

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

  Set the value of the `onmousedown` property.

### getOnmousemove

    public java.lang.String getOnmousemove()

  Return the value of the `onmousemove` property.

  Contents: Javascript code executed when a pointer button is moved within this element.

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

  Set the value of the `onmousemove` property.

### getOnmouseout

    public java.lang.String getOnmouseout()

  Return the value of the `onmouseout` property.

  Contents: Javascript code executed when a pointer button is moved away from this element.

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

  Set the value of the `onmouseout` property.

### getOnmouseover

    public java.lang.String getOnmouseover()

  Return the value of the `onmouseover` property.

  Contents: Javascript code executed when a pointer button is moved onto this element.

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

  Set the value of the `onmouseover` property.

### getOnmouseup

    public java.lang.String getOnmouseup()

  Return the value of the `onmouseup` property.

  Contents: Javascript code executed when a pointer button is released over this element.

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

  Set the value of the `onmouseup` property.

### getOnunload

    public java.lang.String getOnunload()

  Return the value of the `onunload` property.

### setOnunload

    public void setOnunload(java.lang.String onunload)

  Set the value of the `onunload` property.

### getStyle

    public java.lang.String getStyle()

  Return the value of the `style` property.

  Contents: CSS style(s) to be applied when this component is rendered.

### setStyle

    public void setStyle(java.lang.String style)

  Set the value of the `style` property.

### getStyleClass

    public java.lang.String getStyleClass()

  Return the value of the `styleClass` property.

  Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

  Set the value of the `styleClass` property.

### getTitle

    public java.lang.String getTitle()

  Return the value of the `title` property.

  Contents: Advisory title information about markup elements generated for this component.

### setTitle

    public void setTitle(java.lang.String title)

  Set the value of the `title` property.

### getXmlns

    public java.lang.String getXmlns()

  Return the value of the `xmlns` property.

  Contents:

  An XML Namespace to be passed through to the rendered element

### setXmlns

    public void setXmlns(java.lang.String xmlns)

  Set the value of the `xmlns` property.

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getEventNames()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must override this method to return a non-Empty `Collection` of the client event names that the component supports.

  Specified by:
    `getEventNames` in interface `ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must provide an implementation of `ClientBehaviorHolder.getEventNames()`.

  Specified by:
    `getDefaultEventName` in interface `ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `UIComponentBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.